<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:rich="http://richfaces.org/rich">
    #{dataTableStateHolder.setDescendingOn('creationDate')}
    <rich:dataTable value="#{patients}"
                    id="patientsListTable" var="patient" rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                    render="ds">
        <ui:insert name="firstcolumn"/>
        <ui:include src="/patient/patientColumns.xhtml">
            <ui:param name="patient" value="#{patient}"></ui:param>
        </ui:include>
        <ui:insert name="rightColumns"/>
        <f:facet name="footer">
            <ui:include src="/util/datatableFooter.xhtml">
                <ui:param name="dataScrollerId" value="ds"/>
                <ui:param name="dataTableId" value="patientsListTable"/>
            </ui:include>
        </f:facet>
    </rich:dataTable>
</ui:composition>